<?php

/**
 * Theme Customizer Helpers
 */

if (!function_exists('audiocast_pro_primary_colors')) :
    /**
     * Selectors for primary color
     */
    function audiocast_pro_primary_colors($return) {

        $colors = array(
            'a:hover',
            'a:visited:hover',
            '.menu a:hover',
            '.menu li:hover > a',
            '.menu li.current-menu-item > a',
            '.more-link',
            '.more-link:visited',
            '.contact-info-widget.default i',
            '.entry-meta a:hover',
            '.entry-meta a:visited:hover',
            '.entry-content a',
            '.sidebar-footer a:hover',
            '.sidebar-footer .widget a:hover',
            '.tag-links a',
            '.post-pagination .post-detail a',
            '.author-bio .description .name a:hover',
            '.author-bio .author-social-links a:hover',
            '.search-icon .search-toggle:hover',
            '.search-icon .search-toggle:visited:hover',
            '.post-slider .entry-title a:hover',
            '.post-featured .entry-title a:hover',
            '.post-featured-grid .entry-title a:hover',
            '.logged-in-as a',
            '.entry-meta .sermon-speaker a',
            '.footer-text a',
            '.pagination .page-numbers.current',
            '.pagination .page-numbers:hover',
            '.widget a:hover',
            '.post-carousel .cat-links a',
            '.latest-podcast .entry-title a:hover',
            '.latest-podcast .page-title a:hover',
            '.widget .widget-title',
            '.menu-social-container a',
            '.search-icon .search-toggle'
        );

        $backgrounds = array(
            '.menu .sub-menu',
            '.menu li.btn a',
            '.author-badge',
            '.cat-links.cat-bg a',
            'button.mfp-close:hover',
            '.type-podcast h4',
            '.back-to-top',
            '.podcast_player .mejs-container',
            '.podcast_player .mejs-container .mejs-controls',
            '.podcast_player .mejs-embed',
            '.podcast_player .mejs-embed body',
            'button',
            'input[type="button"]',
            'input[type="reset"]',
            'input[type="submit"]',
            'button:focus',
            'input[type="button"]:focus',
            'input[type="reset"]:focus',
            'input[type="submit"]:focus',
            '.button',
            '.button:focus',
            '.mobile-navigation .menu-mobile',
            '.browse-episodes'
        );

        $borders = array(
            '.widget-title::after',
            '.more-link'
        );

        // Return array
        if ('colors' == $return) {
            return $colors;
        } elseif ('backgrounds' == $return) {
            return $backgrounds;
        } elseif ('borders' == $return) {
            return $borders;
        }
    }
endif;

if (!function_exists('audiocast_pro_heading_selector')) :
    /**
     * Heading selector
     */
    function audiocast_pro_heading_selector() {

        $headings = array(
            'h1',
            'h1 a',
            'h1 a:visited',
            'h2',
            'h2 a',
            'h2 a:visited',
            'h3',
            'h3 a',
            'h3 a:visited',
            'h4',
            'h4 a',
            'h4 a:visited',
            'h5',
            'h5 a',
            'h5 a:visited',
            'h6',
            'h6 a',
            'h6 a:visited'
        );

        return $headings;
    }
endif;

if (!function_exists('audiocast_pro_button_selector')) :
    /**
     * Button selector
     */
    function audiocast_pro_button_selector() {

        $buttons = array(
            'button',
            'input[type="button"]',
            'input[type="reset"]',
            'input[type="submit"]',
            '.button',
            '.contact-info-widget li.skype a'
        );

        return $buttons;
    }
endif;

if (!function_exists('audiocast_pro_forms_selector')) :
    /**
     * Form selector
     */
    function audiocast_pro_forms_selector() {

        $forms = array(
            'form input[type="text"]',
            'form input[type="password"]',
            'form input[type="email"]',
            'form input[type="url"]',
            'form input[type="date"]',
            'form input[type="month"]',
            'form input[type="time"]',
            'form input[type="datetime"]',
            'form input[type="datetime-local"]',
            'form input[type="week"]',
            'form input[type="number"]',
            'form input[type="search"]',
            'form input[type="tel"]',
            'form input[type="color"]',
            'form select',
            'form textarea'
        );

        return $forms;
    }
endif;
