<?php

/**
 * Typography section
 */
Kirki::add_section('typography', array(
    'title'          => esc_attr__('Global Typography', 'audiocast-pro'),
    'priority'       => 5,
    'panel'          => 'appearance'
));

/**
 * Body text
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'typography',
    'settings'    => 'body_text',
    'label'       => esc_attr__('Body Text', 'audiocast-pro'),
    'section'     => 'typography',
    'default'     => array(
        'font-family'    => 'Heebo',
        'variant'        => 'regular',
        'font-size'      => '16px',
        'letter-spacing' => '0',
        'text-transform' => 'none'
    ),
    'transport'   => 'auto',
    'output'       => array(
        array(
            'element'  => 'body'
        ),
    ),
));

/**
 * Heading text
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'typography',
    'settings'    => 'heading_text',
    'label'       => esc_attr__('Heading Text', 'audiocast-pro'),
    'section'     => 'typography',
    'default'     => array(
        'font-family'    => 'Heebo',
        'variant'        => '700',
        'letter-spacing' => '0',
        'text-transform' => 'none'
    ),
    'transport'   => 'auto',
    'output'       => array(
        array(
            'element'  => audiocast_pro_heading_selector()
        ),
    ),
));
