<?php

/**
 * Widgets section
 */
Kirki::add_section('widgets', array(
    'title'          => esc_attr__('Widgets', 'audiocast-pro'),
    'priority'       => 25,
    'panel'          => 'appearance'
));

/**
 * Widget title
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'typography',
    'settings'    => 'widgets_title',
    'label'       => esc_attr__('Widget Title', 'audiocast-pro'),
    'section'     => 'widgets',
    'default'     => array(
        'font-family'    => 'Heebo',
        'variant'        => '700',
        'font-size'      => '18px',
        'letter-spacing' => '0',
        'color'          => '#2910d2',
        'text-transform' => 'uppercase'
    ),
    'output'       => array(
        array(
            'element'  => '.widget-title'
        ),
    ),
));

/**
 * Widget title spacing
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'slider',
    'settings'    => 'widgets_title_spacing',
    'label'       => esc_attr__('Title Spacing', 'audiocast-pro'),
    'description' => esc_attr__('Widget title margin bottom.', 'audiocast-pro'),
    'section'     => 'widgets',
    'default'     => '20',
    'choices'      => array(
        'min'  => 0,
        'max'  => 50,
        'step' => 1,
    ),
    'output'      => array(
        array(
            'element'  => '.widget-area .widget-title',
            'property' => 'margin-bottom',
            'units'    => 'px',
            'exclude'  => array('20')
        ),
    ),
    'transport'    => 'auto',
));

/**
 * Widget spacing
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'slider',
    'settings'    => 'widgets_spacing',
    'label'       => esc_attr__('Widget Spacing', 'audiocast-pro'),
    'description' => esc_attr__('The space between widgets', 'audiocast-pro'),
    'section'     => 'widgets',
    'default'     => '80',
    'choices'      => array(
        'min'  => 20,
        'max'  => 100,
        'step' => 5,
    ),
    'output'      => array(
        array(
            'element'  => '.widget',
            'property' => 'margin-bottom',
            'units'    => 'px',
            'exclude'  => array('80')
        ),
    ),
    'transport'    => 'auto',
));
