<?php

/**
 * Blog panel
 */
Kirki::add_panel('blog', array(
    'title'          => esc_attr__('Blog', 'audiocast-pro'),
    'description'    => esc_attr__('Customize the blog area of the theme.', 'audiocast-pro'),
    'priority'       => 145,
));

/**
 * Blog index section
 */
Kirki::add_section('blog_index', array(
    'title'          => esc_attr__('Blog Index', 'audiocast-pro'),
    'priority'       => 1,
    'panel'          => 'blog'
));

/**
 * Blog layout
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'radio-image',
    'settings'    => 'blog_layout',
    'label'       => esc_attr__('Blog Layout', 'audiocast-pro'),
    'section'     => 'blog_index',
    'default'     => 'right-sidebar',
    'choices'     => array(
        'right-sidebar'     => trailingslashit(get_template_directory_uri()) . 'inc/customizer/assets/img/rs.png',
        'left-sidebar'      => trailingslashit(get_template_directory_uri()) . 'inc/customizer/assets/img/ls.png',
        'full-width'        => trailingslashit(get_template_directory_uri()) . 'inc/customizer/assets/img/fw.png',
        'full-width-narrow' => trailingslashit(get_template_directory_uri()) . 'inc/customizer/assets/img/fwn.png',
    ),
));

/**
 * Blog posts style
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'select',
    'settings'    => 'blog_style',
    'label'       => esc_attr__('Posts Style', 'audiocast-pro'),
    'section'     => 'blog_index',
    'default'     => 'list',
    'multiple'    => 1,
    'choices'     => array(
        'default'    => esc_attr__('Default', 'audiocast-pro'),
        'list'       => esc_attr__('List', 'audiocast-pro'),
        'alternate'  => esc_attr__('Alternate', 'audiocast-pro'),
        'grid'       => esc_attr__('Grid', 'audiocast-pro')
    ),
));

/**
 * Grid post style columns
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'select',
    'settings'    => 'blog_grid_columns',
    'label'       => esc_attr__('Grid Columns', 'audiocast-pro'),
    'section'     => 'blog_index',
    'default'     => 'two-columns',
    'choices'     => array(
        'two-columns'   => esc_attr__('Two Columns', 'audiocast-pro'),
        'three-columns' => esc_attr__('Three Columns', 'audiocast-pro'),
    ),
    'required'    => array(
        array(
            'setting'  => 'blog_layout',
            'operator' => '==',
            'value'    => 'full-width',
        ),
        array(
            'setting'  => 'blog_style',
            'operator' => '==',
            'value'    => 'grid',
        ),
    ),
));

/**
 * Excerpt length
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'slider',
    'settings'    => 'excerpt',
    'label'       => esc_attr__('Excerpt Length', 'audiocast-pro'),
    'description' => esc_attr__('Control the blog excerpt length.', 'audiocast-pro'),
    'section'     => 'blog_index',
    'default'     => '20',
    'choices'      => array(
        'min'  => 20,
        'max'  => 100,
        'step' => 1,
    ),
));

/**
 * Pagination
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'radio',
    'settings'    => 'posts_pagination',
    'label'       => esc_attr__('Pagination', 'audiocast-pro'),
    'description' => esc_attr__('Pagination for blog & archives page.', 'audiocast-pro'),
    'section'     => 'blog_index',
    'default'     => 'traditional',
    'choices'     => array(
        'number'      => esc_attr__('Number', 'audiocast-pro'),
        'traditional' => esc_attr__('Next / Previous', 'audiocast-pro'),
    ),
));
