<?php

/**
 * Copyrights
 */
Kirki::add_section('copyrights', array(
    'title'          => esc_attr__('Copyrights', 'audiocast-pro'),
    'priority'       => 5,
    'panel'          => 'footer'
));

/**
 * Enable copyright area
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'toggle',
    'settings'    => 'copyrights_enable',
    'label'       => esc_attr__('Enable copyright', 'audiocast-pro'),
    'description' => esc_attr__('Show footer text area.', 'audiocast-pro'),
    'section'     => 'copyrights',
    'default'     => '1'
));

/**
 * Footer text
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'     => 'textarea',
    'settings' => 'copyrights_text',
    'label'    => esc_attr__('Text', 'audiocast-pro'),
    'section'  => 'copyrights',
    'default'  => '&copy; Copyright ' . date('Y') . ' <a href="' . esc_url(home_url()) . '">' . esc_attr(get_bloginfo('name')) . '</a> &middot; Designed and Developed by <a href="http://www.happythemes.com/">HappyThemes</a>',
    'transport' => 'postMessage',
    'js_vars'   => array(
        array(
            'element' => '.copyright',
            'function' => 'html'
        )
    ),
    'required'    => array(
        array(
            'setting'  => 'copyrights_enable',
            'operator' => '==',
            'value'    => '1',
        ),
    ),
));

/**
 * Background color
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'color',
    'settings'    => 'copyrights_bg',
    'label'       => esc_attr__('Background Color', 'audiocast-pro'),
    'section'     => 'copyrights',
    'default'     => '#ffffff',
    'choices'     => array(
        'alpha' => true,
    ),
    'output'      => array(
        array(
            'element'  => '.footer-text',
            'property' => 'background-color',
            'exclude'  => array('#ffffff')
        ),
    ),
    'transport'   => 'auto',
    'required'    => array(
        array(
            'setting'  => 'copyrights_enable',
            'operator' => '==',
            'value'    => '1',
        ),
    ),
));

/**
 * Color
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'color',
    'settings'    => 'copyrights_color',
    'label'       => esc_attr__('Color', 'audiocast-pro'),
    'section'     => 'copyrights',
    'default'     => '#393939',
    'choices'     => array(
        'alpha' => true,
    ),
    'output'      => array(
        array(
            'element'  => '.footer-text',
            'property' => 'color',
            'exclude'  => array('#393939')
        ),
    ),
    'transport'   => 'auto',
    'required'    => array(
        array(
            'setting'  => 'copyrights_enable',
            'operator' => '==',
            'value'    => '1',
        ),
    ),
));

/**
 * Link Color
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'color',
    'settings'    => 'copyrights_color_link',
    'label'       => esc_attr__('Color: Link', 'audiocast-pro'),
    'section'     => 'copyrights',
    'default'     => '#2910d2',
    'choices'     => array(
        'alpha' => true,
    ),
    'output'      => array(
        array(
            'element'  => '.footer-text a',
            'property' => 'color',
            'exclude'  => array('#2910d2')
        ),
        array(
            'element'  => '.footer-text a:visited',
            'property' => 'color',
            'exclude'  => array('#2910d2')
        ),
    ),
    'transport'   => 'auto',
    'required'    => array(
        array(
            'setting'  => 'copyrights_enable',
            'operator' => '==',
            'value'    => '1',
        ),
    ),
));

/**
 * Link Color: Hover
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'color',
    'settings'    => 'copyrights_color_hover',
    'label'       => esc_attr__('Color: Hover', 'audiocast-pro'),
    'section'     => 'copyrights',
    'default'     => '#2910d2',
    'choices'     => array(
        'alpha' => true,
    ),
    'output'      => array(
        array(
            'element'  => '.footer-text a:hover',
            'property' => 'color',
            'exclude'  => array('#2910d2')
        ),
    ),
    'transport'   => 'auto',
    'required'    => array(
        array(
            'setting'  => 'copyrights_enable',
            'operator' => '==',
            'value'    => '1',
        ),
    ),
));

/**
 * Typography
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'typography',
    'settings'    => 'copyrights_typography',
    'label'       => esc_attr__('Typography', 'audiocast-pro'),
    'section'     => 'copyrights',
    'default'     => array(
        'font-family'    => 'Heebo',
        'variant'        => 'regular',
        'font-size'      => '12px',
        'letter-spacing' => '0',
        'text-transform' => 'none'
    ),
    'output'       => array(
        array(
            'element'  => '.copyright'
        ),
    ),
    'required'    => array(
        array(
            'setting'  => 'copyrights_enable',
            'operator' => '==',
            'value'    => '1',
        ),
    ),
));
