<?php

/**
 * Header panel
 */
Kirki::add_panel('header', array(
    'title'          => esc_attr__('Header', 'audiocast-pro'),
    'description'    => esc_attr__('Customize the header area of the theme.', 'audiocast-pro'),
    'priority'       => 140,
));

/**
 * Header section
 */
Kirki::add_section('header_settings', array(
    'title'          => esc_attr__('General', 'audiocast-pro'),
    'priority'       => 1,
    'panel'          => 'header'
));

/**
 * Height
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'slider',
    'settings'    => 'header_height',
    'label'       => esc_attr__('Height', 'audiocast-pro'),
    'description' => esc_attr__('Control the height of the header.', 'audiocast-pro'),
    'section'     => 'header_settings',
    'default'     => '10',
    'choices'     => array(
        'min'  => '10',
        'max'  => '20',
        'step' => '1',
    ),
    'output'      => array(
        array(
            'element'  => '.site-header .container',
            'property' => 'min-height',
            'units'    => 'rem',
            'exclude'  => array('10'),
        ),
    ),
    'transport'   => 'auto',
    'required'    => array(
        array(
            'setting'  => 'header_style',
            'operator' => '==',
            'value'    => 'default',
        ),
        array(
            'setting'  => 'header_variation',
            'operator' => '==',
            'value'    => 'variation-one',
        ),
    ),
));

/**
 * Background color
 */
Kirki::add_field('audiocast_pro_options', array(
    'type'        => 'color',
    'settings'    => 'header_bg',
    'label'       => esc_attr__('Background Color', 'audiocast-pro'),
    'section'     => 'header_settings',
    'default'     => '#ffffff',
    'choices'     => array(
        'alpha' => true,
    ),
    'output'      => array(
        array(
            'element'  => '.site-header',
            'property' => 'background-color',
            'exclude'  => array('#ffffff'),
        ),
    ),
    'transport'   => 'auto',
    'required'    => array(
        array(
            'setting'  => 'header_style',
            'operator' => '==',
            'value'    => 'default',
        ),
    ),
));
