<?php
/*
 * Template Name: Gutenberg
 * Template Post Type: post, page
*/
get_header(); ?>

<div class="container">

    <div id="primary" class="content-area">
        <main id="main" class="site-main">

            <?php while (have_posts()) : the_post(); ?>

                <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

                    <div class="entry-content">
                        <?php the_content(); ?>
                        <?php
                        wp_link_pages(array(
                            'before' => '<div class="page-links">' . esc_html__('Pages:', 'audiocast-pro'),
                            'after'  => '</div>',
                        ));
                        ?>
                    </div><!-- .entry-content -->

                    <?php edit_post_link(esc_html__('Edit', 'audiocast-pro'), '<footer class="entry-footer"><span class="edit-link">', '</span></footer>'); ?>

                </article>

                <?php
                // Get data set in customizer
                $comment = get_theme_mod('audiocast_pro_page_comment', 1);

                // Check if comment enable on customizer
                if ($comment) :
                    // If enable and comments are open or we have at least one comment, load up the comment template
                    if (comments_open() || '0' != get_comments_number()) :
                        comments_template();
                    endif;
                endif;
                ?>

            <?php endwhile; // end of the loop.
            ?>

        </main><!-- #main -->
    </div><!-- #primary -->

</div><!-- .container -->

<?php get_footer(); ?>
