<?php
/*
 * Template Name: Home Podcast
 * Template Post Type: page
*/
get_header(); ?>



<div id="primary" class="content-area">
    <main id="main" class="site-main">

        <div class="recent-podcast">
            <div class="container">
                <?php
                $args = [
                    'post_type'      => 'podcast',
                    'offset'         => 1,
                    'posts_per_page' => 5
                ];
                $args = apply_filters('audiocast_pro_home_podcast', $args);
                $query = new WP_QUERY($args);
                ?>

                <?php if ($query->have_posts()) : ?>

                    <h3 class="browse-episodes"><?php esc_html_e('Browse Episodes', 'audiocast-pro'); ?></h3>

                    <div class="posts-list">

                        <?php while ($query->have_posts()) : $query->the_post(); ?>

                            <?php get_template_part('partials/content/content', 'podcast-list'); ?>

                        <?php endwhile; ?>

                    </div>

                    <div class="more-btn">
                        <a class="more-episodes button" href="<?php echo esc_url(get_post_type_archive_link('podcast')); ?>"><?php esc_html_e('More Episodes'); ?></a>
                    </div>

                <?php else : ?>

                    <?php get_template_part('partials/content/content', 'none'); ?>

                <?php endif; ?>
            </div>
        </div>

        <div class="recent-news">
            <div class="container">

                <?php
                $args = [
                    'post_type'      => 'post',
                    'posts_per_page' => 3
                ];
                $args = apply_filters('audiocast_pro_home_post', $args);
                $query = new WP_QUERY($args);
                ?>

                <?php if ($query->have_posts()) : ?>

                    <h3 class="browse-episodes"><?php esc_html_e('Latest From Blog', 'audiocast-pro'); ?></h3>

                    <div class="posts-grid">

                        <?php while ($query->have_posts()) : $query->the_post(); ?>

                            <article id="post-<?php the_ID(); ?>" <?php post_class('entry-grid'); ?>>

                                <?php audiocast_pro_post_thumbnail(); ?>

                                <header class="entry-header">

                                    <?php the_title(sprintf('<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h2>'); ?>

                                    <div class="entry-meta">
                                        <time class="entry-date published" datetime="<?php echo esc_attr(get_the_date('c')) ?>"><?php echo esc_attr(get_the_date()); ?></time>
                                    </div>

                                </header>

                                <span class="more-link-wrapper">
                                    <a href="<?php the_permalink(); ?>" class="more-link"><?php esc_html_e('Continue Reading', 'audiocast-pro'); ?></a>
                                </span>

                            </article><!-- #post-## -->

                        <?php endwhile; ?>

                    </div>

                <?php else : ?>

                    <?php get_template_part('partials/content/content', 'none'); ?>

                <?php endif; ?>
            </div>
        </div>

    </main><!-- #main -->
</div><!-- #primary -->

<?php get_footer(); ?>
