<?php
// Vars
$tags  = get_theme_mod('post_tags', true);
$title = get_theme_mod('post_tags_title', esc_attr__('Topics', 'audiocast-pro'));
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <?php if (has_post_thumbnail()) : ?>
        <div class="post-thumbnail">
            <?php
            the_post_thumbnail('audiocast-podcast', array(
                'alt' => the_title_attribute(array(
                    'echo' => false,
                )),
            ));
            ?>
        </div>
    <?php endif; ?>

    <header class="entry-header">
        <?php the_title('<h1 class="entry-title">', '</h1>'); ?>
    </header>

    <div class="entry-content">

        <?php the_content(); ?>
        <?php
        wp_link_pages(array(
            'before' => '<div class="page-links">' . esc_html__('Pages:', 'audiocast-pro'),
            'after'  => '</div>',
        ));
        ?>

    </div>

    <footer class="entry-footer">

        <?php
        $get_tags = get_the_tags();
        if (true == $tags && $get_tags) :
        ?>
            <span class="tag-links">
                <span class="tag-title block-title"><?php echo esc_html($title); ?></span>
                <?php foreach ($get_tags as $tag) : ?>
                    <a href="<?php echo esc_url(get_tag_link($tag->term_id)); ?>">#<?php echo esc_attr($tag->name); ?></a>
                <?php endforeach; ?>
            </span>
        <?php endif; ?>

    </footer>

</article><!-- #post-## -->
